#include<bits/stdc++.h>
using namespace std;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    int q;
    vector<int> v;
    cin>>q;
    for(int i=0;i<q;i++){
        int x1, y1, x2, y2, a, b;
        cin>>x1>>y1>>x2>>y2>>a>>b;
        int x3, y3;
        x3=abs(x2-x1);
        y3=abs(y2-y1);
        if(x3>a or y3>b) v.push_back(0);
        else v.push_back((a-x3+1)*(b-y3+1));
    }
    for(int i=0;i<v.size();i++){
        cout<<v[i]<<endl;
    }
    return 0;
}

